Bug 138637 - Deprecated gtk calls
Deprecated gtk calls
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 08:22 EST by Need Real Name
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL-4.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 12:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-11-10 08:22:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
instead
  self.warn(message, DeprecationWarning)
[root@wolfcastle ~]# rhn_register
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecated, use
gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
instead
  self.warn(message, DeprecationWarning)


Version-Release number of selected component (if applicable):
up2date-4.3.44-2

How reproducible:
Always

Steps to Reproduce:
1.run rhn_register
2.
3.
    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.